%define grub_name grub2

Summary:	Provides a graphical theme with a custom ROSA background for grub2
Name:		grub2-theme-rosa
Version:	2.00
Release:	52
License:	GPLv3+
Group:		System/Kernel and hardware
Url:		http://www.rosalab.ru
Source0:	rosa.tar.xz
Requires(pre):	grub2 >=2.00-28
Provides:	grub2-theme
Obsoletes:	grub2theme <= 2.00-27
BuildArch:	noarch

%description
This package provides a custom Rosa graphical theme.

%install
mkdir -p %{buildroot}/boot/%{grub_name}/themes/
tar -xf %{SOURCE0} -C %{buildroot}/boot/%{grub_name}/themes

%post
if [ $1 -eq 1 ] ; then
# Remove all previous theme from config
sed -i '/GRUB_THEME=*/d' %{_sysconfdir}/default/grub
sed -i '/GRUB_BACKGROUND=*/d' %{_sysconfdir}/default/grub
# Remove trailing blank lines from /etc/default/grub
sed -i -e :a -e '/^\n*$/{$d;N;};/\n$/ba' %{_sysconfdir}/default/grub
# Check that /etc/default/grub ends in a linefeed
[ "$(tail -n 1 %{_sysconfdir}/default/grub | wc --lines)" = "1" ] || echo >> %{_sysconfdir}/default/grub
# Add theme
echo "GRUB_THEME=\"/boot/grub2/themes/rosa/theme.txt\"" >> %{_sysconfdir}/default/grub
echo "GRUB_BACKGROUND=\"/boot/grub2/themes/rosa/terminal_background.png\"" >> %{_sysconfdir}/default/grub
# Regenerate configure on install or update
%{_sbindir}/update-grub2
fi

%postun
exec > /var/log/%{grub_name}_theme_postun.log 2>&1
# Only if uninstalling theme
if [ $1 -eq 0 ]; then
# Remove theme from config
sed -i '/GRUB_THEME=\/boot\/grub2\/themes\/rosa\/theme.txt/d' %{_sysconfdir}/default/grub
fi

%files
%dir /boot/%{grub_name}/themes/rosa
/boot/%{grub_name}/themes/rosa/*

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.00-52
+ Revision: 9a68987
- MassBuild#440: Increase release tag


